---
title: 2025 API changelog for CMP
slug: content-marketing-platform/release-notes/QJPs-2025
docTags: 
createdAt: 2026-06-29T19:05:17.301Z
---

Subscribe to updates on this page using the notification and RSS feed options.

## December 3, 2025 – New endpoint

Introduced [PATCH /milestones/&#x7B;id}](docId:59FL4pEOZPepFQfeL_aXB), which updates a milestone. All parameters in the request body are optional but not nullable. Only the provided fields are updated.

:::hint{type="info"}
**Note**

If the tasks array is empty, it removes all task associations for that milestone.
:::

## December 2, 2025 – New endpoint

Introduced `POST /tasks/{task_id}/urls`, which lets you add a URL to a task. See [POST /tasks/&#x7B;task\_id}/urls](docId:6dKcHS8jvwHu45d_lPsv5) for information.

## November 25, 2025 – New endpoint

Introduced [POST /milestones](docId:9bJA_o1xdeLtM5Hxz9N2P), which creates a milestone. This defaults to the organization's campaign if `campaign_id` is omitted. This validates tasks against the selected campaign and ensures they belong to it.

## November 10, 2025 – New endpoint

Introduced [DELETE /folders/&#x7B;id}](docId\:KsaA81vPbFvUYbqnUiDoR), which lets you delete a folder, including all its assets. This is a soft delete that moves the folder to CMP's Recycle Bin.

## October 29, 2025 – API update

Added the ability to assign teams to individual sub-steps within a task. All API endpoints that return the sub-step data of a task now include the `assignee_type` attribute, specifying whether the assignee is a user or a team.

## October 6, 2025 – New endpoint

Introduced `PATCH /folders/{id}`, which lets you update a particular folder's name or parent. See [PATCH /folders/&#x7B;id}](docId:6aTGCjc9PwZloXLS-oiGG) for information.

## September 15, 2025 – API updates

- Added template details to the [work\\\_request\\\_added webhook event](docId\:zm2pmP5juqsWBpqP1z7us).
- Added the ability to filter the [GET /work-requests](docId\:SjiPm4h4h1j3eVQIbwez7) by `template_id`, `created_at__from`, and `created_at__to`.

## August 20, 2025 – API update

Updated `POST /tasks/:taskId/assets` to accommodate adding assets to tasks in different mechanisms. Previously, the API only let you add uploaded assets by providing the `key` and `title` of the asset. The updated API lets you fork an existing asset from the Library and add it to the task using the content guid of the Library asset.

A new type parameter has been added to the request body with these values:

- `direct_upload` – This is an asset uploaded using the [upload assets endpoint](docId:-HrgOyuYkUaDaOGLHQdFY).
- `fork_from_library` – This forks an existing asset from the Library and adds it to the task. The type field is optional and defaults to `direct_upload` if not provided.

:::hint{type="info"}
**Note**

Renditions is currently not supported for Library assets.
:::

See the [POST /tasks/&#x7B;id}/assets](docId:0jdhscmrngTXeHGY1teFb) for the full request body details.

## August 4, 2025 – API update

Added the `users` field in the response body for `get-teams-by-id` – `GET /teams/{id}`, which is an array of objects containing information for respective users in that team, such as ID, name, and email.

## July 29, 2025 – New endpoint

Introduced the `GET /v3/events/:id/fields` endpoint to fetch the list of fields for that event.

## July 22, 2025 – API update

Added the following properties to the request body for `PATCH /tasks/:taskld`:

- `title` – Lets you update the title of the task.
- `start_date` – Sets the start date of the task in ISO 8601 format.
- `due_at` – Sets the due date for the task in ISO 8601 format.
- `campaign_id` – Lets you link the task to a campaign.
- `workflow_id` – Lets you update the workflow associated with the task.

## July 14, 2025 – New endpoint

Introduced the `PATCH /tasks/:taskId/steps/:stepId` endpoint to update a task's specific step. For now, CMP only lets you update the step's due date through the `due_at` property in the request body.

:::hint{type="info"}
**Note**

When you update a step's due date in the CMP web interface, a message displays about temporal or sequential constraints based on the due date of other steps. However, this API updates the step's due date while superceding any validation for the workflow.
:::

## July 14, 2025 – API update

Added an optional `owner_id` property to `PATCH /tasks/:taskId`, letting you update a task's owner.

## June 23, 2025 – API update

- Added the `workflow_id` field to the response body of the [GET /tasks/&#x7B;id}](docId\:UcE9fCoEnIlsbJrEU_VcM) endpoint, indicating the workflow to which the task is associated.
- Added the `roles` field to each user object in the response body of the [GET /userlist](docId\:oGtRxvVA1dY26ETU_Qdgv) endpoint, which contains a list of objects with the property `name`, indicating the names of the roles assigned to each respective user.

## June 16, 2025 – API update

Added the `type` field in the response body for the [GET /work-requests](docId\:SjiPm4h4h1j3eVQIbwez7), [POST /work-requests](docId\:B7lCRMrcDjDosS7J5u9ky), and [GET /work-requests/&#x7B;id}](docId:-MobF4QnEgj5cz2kfQo7g) endpoints to indicate whether the assignee is a `user` or a `team`.

## June 3, 2025 – API update

Added `created_at` to the response body for the [POST /campaigns](docId\:WwBtROwnnLhrvZkRma4Iw) and [GET /campaigns/&#x7B;id}](docId\:VZCeCmGBW_CaLgY0O5viB) endpoints.

## May 29, 2025 – API update

Added the `asset_ids_without_field_inheritance` body parameter for the [POST /work-requests/&#x7B;id}/tasks](docId\:RqcAq9fF5kcou2WpxwhYy) endpoint, which you can use to disable field inheritance for specific assets when creating a task from a work request.

## May 15, 2025 – New endpoint

Introduced the `GET /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/fields` endpoint, which lets you fetch the fields of a task substep.

## March 13, 2025 – API updates

- Added `settings_field_id` to the [GET /tasks/&#x7B;id}/brief](docId\:st3X9EE4yN9SNa8rnYV3P) response body.
- Updated the [GET /assets](docId:5UH426DEyzpDFQ2_QoRnn) endpoint to clarify the query param fields.
- Added `reference_id` to [POST /work-requests/&#x7B;id}/tasks](docId\:RqcAq9fF5kcou2WpxwhYy).

## March 12, 2025 – API update

Updated the minimum `file_size` value for [POST /v3/multipart-uploads](docId\:g3quIjy_crJ5cFvtmH9BK) to 1 byte.

## March 11, 2025 – New endpoints

Introduced three endpoints to support multipart upload (uploading single files in multiple parts):

- [POST /v3/multipart-uploads](docId\:g3quIjy_crJ5cFvtmH9BK) – Create pre-signed URLs for multipart upload of large files.
- [GET /v3/multipart-uploads/&#x7B;id}/status](docId\:EecaeCQyde6Do8FkTYAvK) – Retrieve the current status of a multipart upload.
- [POST /v3/multipart-uploads/&#x7B;id}/complete](docId\:Iqf5BeNchKAERr2uAnrUY) – Initiate completion of a multipart upload after all parts have been uploaded.

## March 4, 2025 – New endpoint

Introduced the `POST campaigns/{id}/fields`  end point, which lets you add a field to a campaign.

## February 20, 2025 – Webhook updates

- Added a new `event_modified` webhook, which alerts you when an event was modified. See [Event](docId\:zfJdnjGQj2JMqdZug2pde).
- Updated webhook page titles to reduce confusion:
  - **Event delivery** is now [Webhook event delivery](docId\:W0i3KGEit8_rj22tDS7co).
  - **Campaign events** is now [Campaign](docId\:K3PdXElRtSX1f6YzKAR2f).
  - **External work management events** is now [External work management](docId:_dosJd7oXyZ1Vig-lkWXj).
  - **Library events** is now [Library](docId:_KLIky0D09bZtpnrlkqp_).
  - **Publish events** is now [Publish](docId\:wT6-4P7EdSaaaZL_5Ov8B).
  - **Task events** is now [Task](docId:8CwMGF1kMrtU5W3ju8beT).
  - **Work request events** is now [Work request](docId\:zm2pmP5juqsWBpqP1z7us).

## February 10, 2025 – API updates

- Added the `search` query param to the `GET v3/templates` endpoint to filter templates by their title.
- Introduced the `PATCH /events/{id}` endpoint, which lets you update an event.

## January 29, 2025 – API updates

- Updated the `POST v3/tasks` endpoint to clarify the behavior of the `start_at` and `due_at` fields in the request body.
- Updated the `POST v3/work-requests/:id/tasks` endpoint to clarify the behavior of the `start_at` and `due_at` fields in the request body.

## January 27, 2025 – New endpoint

Introduced the `PUT /events/{id}/fields` endpoint, which lets you replace existing fields of an event.

## January 14, 2025 – New endpoint

Introduced the `POST /events` endpoint, which lets you create an event.

## January 8, 2025 – New endpoint

Introduced the `GET /userlist` endpoint, which lets you fetch a list of users.
